Loading...
Searching...
No Matches
pcl::SparseQuantizedMultiModTemplate Struct Reference

A multi-modality template constructed from a set of quantized multi-modality features. More...

`#include <pcl/recognition/sparse_quantized_multi_mod_template.h>`

## Public Member Functions

| SparseQuantizedMultiModTemplate ()=default
| Constructor.
void | serialize (std::ostream &stream) const
| Serializes the object to the specified stream.
void | deserialize (std::istream &stream)
| Deserializes the object from the specified stream.

## Public Attributes

std::vector< QuantizedMultiModFeature > | features
| The storage for the multi-modality features.
RegionXY | region
| The region assigned to the template.

## Detailed Description

A multi-modality template constructed from a set of quantized multi-modality features.

Author
  Stefan Holzer

Definition at line 108 of file sparse_quantized_multi_mod_template.h.

## Constructor & Destructor Documentation

## SparseQuantizedMultiModTemplate()

pcl::SparseQuantizedMultiModTemplate::SparseQuantizedMultiModTemplate | ( |  | ) |

default

Constructor.

## Member Function Documentation

## deserialize()

void pcl::SparseQuantizedMultiModTemplate::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes the object from the specified stream.

Parameters

  [in] | stream | the stream the object will be deserialized from.

Definition at line 137 of file sparse_quantized_multi_mod_template.h.

References features, pcl::read(), and region.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates().

## serialize()

void pcl::SparseQuantizedMultiModTemplate::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the object to the specified stream.

Parameters

  [out] | stream | the stream the object will be serialized to.

Definition at line 122 of file sparse_quantized_multi_mod_template.h.

References features, region, and pcl::write().

## Member Data Documentation

## features

std::vector<QuantizedMultiModFeature> pcl::SparseQuantizedMultiModTemplate::features

The storage for the multi-modality features.

Definition at line 114 of file sparse_quantized_multi_mod_template.h.

Referenced by deserialize(), and serialize().

## region

RegionXY pcl::SparseQuantizedMultiModTemplate::region

The region assigned to the template.

Definition at line 117 of file sparse_quantized_multi_mod_template.h.

Referenced by deserialize(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), and serialize().

The documentation for this struct was generated from the following file:

- pcl/recognition/sparse_quantized_multi_mod_template.h